classification
Title: Use correct executable manifest for windows
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: paul.moore, steve.dower, tim.golden, tumagonx, zach.ware
Priority: normal Keywords:

Created on 2017-06-22 09:33 by tumagonx, last changed 2017-07-13 19:52 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2328 merged Segev Finer, 2017-06-22 18:25
PR 2699 merged steve.dower, 2017-07-13 19:38
Messages (6)
msg296619 - (view) Author: (tumagonx) Date: 2017-06-22 09:33
I think there is typo in python default manifest (applies to exe dll and pyd) in official installation.

currently written as:
<trustinfo>
...
</trustInfo>

should be:
<trustInfo xmlns="urn:schemas-microsoft-com:asm.v3">
...
</trustInfo>

notice the lowercase "i" in incorrect manifest
msg296628 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-06-22 13:40
What is the impact of this error? I know of people who are relying on the manifest who have not raised any issue, so perhaps it isn't actually that important?
msg296637 - (view) Author: (tumagonx) Date: 2017-06-22 15:18
Not really, just want to be correct... AFAIK wrong manifest like that will prevent execution on older Windows such XP saying application not configured properly. Apparently earlier Windows has been stricter. But it's not like official python 3.6 support XP.
msg296657 - (view) Author: (tumagonx) Date: 2017-06-23 01:49
@Segev
oops, must be my own typo "i" when I try repair the manifest. sorry about that.
msg298309 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-07-13 19:34
New changeset c40ad03bf2693b4af539978f1274e57b85367547 by Steve Dower (Segev Finer) in branch 'master':
bpo-30731: python.manifest fix (#2328)
https://github.com/python/cpython/commit/c40ad03bf2693b4af539978f1274e57b85367547
msg298310 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-07-13 19:51
New changeset d8e522f7cf8d59993acae9409b6af0ee9a35038f by Steve Dower in branch '3.6':
bpo-30731: python.manifest fix (#2328) (#2699)
https://github.com/python/cpython/commit/d8e522f7cf8d59993acae9409b6af0ee9a35038f
History
Date User Action Args
2017-07-13 19:52:27steve.dowersetstatus: open -> closed
assignee: steve.dower
stage: resolved
resolution: fixed
versions: + Python 3.7
2017-07-13 19:51:52steve.dowersetmessages: + msg298310
2017-07-13 19:38:05steve.dowersetpull_requests: + pull_request2765
2017-07-13 19:34:44steve.dowersetmessages: + msg298309
2017-06-23 01:49:58tumagonxsetmessages: + msg296657
2017-06-22 18:25:59Segev Finersetpull_requests: + pull_request2377
2017-06-22 15:18:43tumagonxsetmessages: + msg296637
2017-06-22 13:40:51steve.dowersetmessages: + msg296628
2017-06-22 10:40:55tim.goldensetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2017-06-22 09:33:42tumagonxcreate